// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPluginCore",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPluginCore", targets: ["WebIdPluginCoreWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ui-components-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .branch("snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/experimental/de/webid-solutions/WebIdPluginCore/13.3.0/WebIdPluginCore.framework-v13.3.0-SNAPSHOT-281.zip",
            checksum: "b07470553d6db2a3fdfd962316b95801f6372091a1cb98e6158025bcef4ba464"
        ),
        .target(
            name: "WebIdPluginCoreWrapper",
            dependencies: [
                .target(name: "WebIdPluginCore"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
